Package com.smartgwt.client.widgets.chart

# Class DrawnValue

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.chart.DrawnValue

All Implemented Interfaces:
  `HasHandlers`

public class DrawnValue extends DataClass
Returns information about how a data value is rendered in a chart.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawnValue()`
  `DrawnValue(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getBarThickness()`
  For bar and column charts, thickness of the bar representing this data value.
  `Integer`
  `getEndAngle()`
  For pie mode only, start angle of the segment for the data value.
  `FacetValueMap`
  `getFacetValues()`
  FacetValues for the data value.
  `static DrawnValue`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Double`
  `getRadius()`
  For pie mode only, the radius of the segment for the data value.
  `Record`
  `getRecord()`
  The data record of the data point from which this `drawnValue` was created.
  `Integer`
  `getStartAngle()`
  For pie mode only, start angle of the segment for the data value.
  `Float`
  `getValue()`
  Deprecated.
  `GwtFloatVsDouble`
  `Double`
  `getValueAsDouble()`
  Data value this `drawnValue` represents.
  `Integer`
  `getX()`
  X coordinate where the data value is rendered.
  `Integer`
  `getY()`
  Y coordinate where the data value is rendered.
  `DrawnValue`
  `setBarThickness(Integer barThickness)`
  For bar and column charts, thickness of the bar representing this data value.
  `DrawnValue`
  `setEndAngle(Integer endAngle)`
  For pie mode only, start angle of the segment for the data value.
  `DrawnValue`
  `setFacetValues(FacetValueMap facetValues)`
  FacetValues for the data value.
  `DrawnValue`
  `setRadius(Double radius)`
  For pie mode only, the radius of the segment for the data value.
  `DrawnValue`
  `setRecord(Record record)`
  The data record of the data point from which this `drawnValue` was created.
  `DrawnValue`
  `setStartAngle(Integer startAngle)`
  For pie mode only, start angle of the segment for the data value.
  `DrawnValue`
  `setValue(Double value)`
  Data value this `drawnValue` represents.
  `DrawnValue`
  `setValue(Float value)`
  Deprecated.
  `GwtFloatVsDouble`
  `DrawnValue`
  `setX(Integer x)`
  X coordinate where the data value is rendered.
  `DrawnValue`
  `setY(Integer y)`
  Y coordinate where the data value is rendered.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrawnValue

    public DrawnValue()

  - ### DrawnValue

    public DrawnValue(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DrawnValue getOrCreateRef(JavaScriptObject jsObj)

  - ### setBarThickness

    public DrawnValue setBarThickness(Integer barThickness)
    For bar and column charts, thickness of the bar representing this data value.
    Parameters:
      `barThickness` - New barThickness value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getBarThickness

    public Integer getBarThickness()
    For bar and column charts, thickness of the bar representing this data value.
    Returns:
      Current barThickness value. Default value is null

  - ### setEndAngle

    public DrawnValue setEndAngle(Integer endAngle)
    For pie mode only, start angle of the segment for the data value.
    Parameters:
      `endAngle` - New endAngle value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getEndAngle

    public Integer getEndAngle()
    For pie mode only, start angle of the segment for the data value.
    Returns:
      Current endAngle value. Default value is null

  - ### setFacetValues

    public DrawnValue setFacetValues(FacetValueMap facetValues)
    FacetValues for the data value.
    Parameters:
      `facetValues` - New facetValues value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getFacetValues

    public FacetValueMap getFacetValues()
    FacetValues for the data value.
    Returns:
      Current facetValues value. Default value is null

  - ### setRadius

    public DrawnValue setRadius(Double radius)
    For pie mode only, the radius of the segment for the data value.
    Parameters:
      `radius` - New radius value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getRadius

    public Double getRadius()
    For pie mode only, the radius of the segment for the data value.
    Returns:
      Current radius value. Default value is null

  - ### setRecord

    public DrawnValue setRecord(Record record)
    The data record of the data point from which this `drawnValue` was created.

    Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

    Parameters:
      `record` - New record value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getRecord

    public Record getRecord()
    The data record of the data point from which this `drawnValue` was created.

    Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

    Returns:
      Current record value. Default value is null

  - ### setStartAngle

    public DrawnValue setStartAngle(Integer startAngle)
    For pie mode only, start angle of the segment for the data value.
    Parameters:
      `startAngle` - New startAngle value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getStartAngle

    public Integer getStartAngle()
    For pie mode only, start angle of the segment for the data value.
    Returns:
      Current startAngle value. Default value is null

  - ### setValue

    public DrawnValue setValue(Float value)
    Deprecated.
    `GwtFloatVsDouble`
    Data value this `drawnValue` represents.
    Parameters:
      `value` - New value value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getValue

    public Float getValue()
    Deprecated.
    `GwtFloatVsDouble`
    Data value this `drawnValue` represents.
    Returns:
      Current value value. Default value is null

  - ### setValue

    public DrawnValue setValue(Double value)
    Data value this `drawnValue` represents.
    Parameters:
      `value` - New value value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getValueAsDouble

    public Double getValueAsDouble()
    Data value this `drawnValue` represents.
    Returns:
      Current value value. Default value is null

  - ### setX

    public DrawnValue setX(Integer x)
    X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
    Parameters:
      `x` - New x value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getX

    public Integer getX()
    X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
    Returns:
      Current x value. Default value is null

  - ### setY

    public DrawnValue setY(Integer y)
    Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
    Parameters:
      `y` - New y value. Default value is null
    Returns:
      `DrawnValue` instance, for chaining setter calls

  - ### getY

    public Integer getY()
    Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
    Returns:
      Current y value. Default value is null